{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    <link rel="stylesheet" href="{{asset('css/menuStyle.css')}}" />
{% endblock %}

{% block content %}

  <script type="text/javascript">
    $(document).ready(function(){
      $(".menu-modal").modal('setting', 'closable', false);
      $(".menu-modal").modal('show');
    });
  </script>

  {% if ristorante.menu is null %}

    <div class="ui basic modal menu-modal">
      <div class="ui icon header">
        <i class="leanpub icon"></i>
          Menu mancante
      </div>
      <div class="content" style="margin-left: 250px">
        <p>Ancora per questo ristorante non è presente alcun menu.</p>
      </div>
      <div class="actions">
        <a href="{{path('user_ristorante_dettagli', { 'id': ristorante.id })}}"><div class="ui grey basic cancel inverted button">
          <i class="remove icon"></i>
          Ok
        </div></a>
      </div>
    </div>

  {% else %}

    <div class="ui raised segment">
      <div class="ui breadcrumb" style="margin: 2%;">
        <a href="{{path('homepage')}}"class="section">Home</a>
        <i class="right angle icon divider"></i>
        <a href="{{path('user_ristoranti_lista')}}" class="section">Ristoranti</a>
        <i class="right angle icon divider"></i>
        <a href="{{path('user_ristorante_dettagli', { 'id': ristorante.id })}}" class="section">{{ristorante.nome}}</a>
        <i class="right angle icon divider"></i>
        <div class="active section">Menu</div>
      </div>
    </div>

    <h2 class="ui center aligned icon header fly" style="display: none">
      <i class="circular leanpub icon"></i>
      Menu
    </h2>
    <p style="text-align: center">
      <em>"{{ristorante.menu.descrizione}}"</em>
    </p>

    <div class="ui divider"></div>

    <div class="ui grid" style="margin: 0; padding: 0">
      <div class="eleven wide column" style="margin-top: 0; padding-right: 2%; border-right: 1px solid black">
        <div class="ui divided selection list">
        {% for sezione in ristorante.menu.sezioni %}
          <div id="sezione{{sezione.id}}">
            <a class="item" style="cursor: default">
              <div class="ui big blue horizontal label" style="margin-bottom: 0.5%">{{sezione.nome}}</div>
              {% if sezione.descrizione != null %}
                <em>"{{sezione.descrizione}}"</em>
              {% endif %}
            </a>
            {% if sezione.pietanze|length != 0 %}
              <div class="ui relaxed divided list" style="margin: 1%">
                {% for pietanza in sezione.pietanze %}
                <div class="item" style="padding-left: 1%;">
                  <div class="header" style="display: inline">{{pietanza.nome}}&emsp;</div>
                  {% if pietanza.descrizione != null %}
                    <small><em>|&emsp;"{{pietanza.descrizione}}"</em></small>
                  {% endif %}
                  <br/><br/><small>
                    {% for ingrediente in pietanza.ingredienti %}
                      {% if loop.index == pietanza.ingredienti|length %}
                        <strong>{{ingrediente.nome}}</strong>
                      {% else %}
                        <strong>{{ingrediente.nome}}</strong> -
                      {% endif %}
                    {% endfor %}
                  </small><br/>
                  <small>
                    [<em>
                      Carboidrati: {{pietanza.carboidrati}}, Grassi: {{pietanza.grassi}}, Sale: {{pietanza.sale}}, Zuccheri: {{pietanza.zuccheri}}, Proteine: {{pietanza.proteine}} - Kcal: {{pietanza.calorie}}
                    </em>]
                  </small>
                  <a class="ui yellow label pietanzaPrezzo" data-name="{{pietanza.nome}}" data-id="{{pietanza.codPietanza}}" data-position="left center" data-tooltip='Aggiungi "{{pietanza.nome}}" al tuo ordine' data-inverted="" style="float: right; margin-right: 3%">{{pietanza.prezzo}} €</a>
                </div>
                {% endfor %}
              </div>
            {% endif %}
            <div class="ui divider" style="margin-top: 0 !important"></div>
          </div>
        {% endfor %}
        </div>
      </div>
      <div class="five wide column" style="margin: 0; padding-left: 2%">
        <table class="ui celled table">
          <thead>
            <tr>
              <th colspan="4" style="text-align: center">
                <h8 class="ui header">
                  <i class="shopping basket icon"></i>
                  <div class="content">
                    Il tuo ordine
                  </div>
                </h8>
              </th>
            </tr>
            <tr>
              <th>Nome</th>
              <th>Quantità</th>
              <th>Prezzo</th>
              <th style="text-align: center; padding-right: 0 !important"><i class="ui configure icon"></i></th>
            </tr>
          </thead>
          <tbody id="ordine">

          </tbody>
          <tfoot>
            <tr>
              {% set found = 'false' %}
              {% for giorno in ristorante.giorniApertura %}
                {% if "now"|date('d/m/Y') == giorno.giorno %}
                  {% set found = 'true' %}
                {% endif %}
              {% endfor %}
              <td style="border-top: 1px solid rgba(34,36,38,.1) !important">
                <div id="prezzo-totale" class="ui ribbon yellow label">0 €</div>
              </td>
              <td id="checkout-button" data-id="{{found}}" style="border-top: 1px solid rgba(34,36,38,.1) !important; display: none" colspan="3">
                <button style="float: right; width: 100%" class="ui labeled primary icon button">
                  <i class="shopping cart icon"></i>
                  Conferma ordine
                </button>
              </td>
            </tr>
          </tfoot>
        </table>
      </div>
    </div>

    <div id="checkout-modal" class="ui large modal" style="padding: 3%">
      <form id="checkout-form" method="post" class="ui form">
        <div class="header">
          <h2 class="ui center aligned header fly" style="margin-top: 15px; margin-left: 20px; display: none">
            <i class="shopping basket icon"></i>
            <div class="content" style="font-size: 28px">
              <em><strong>Conferma il tuo ordine</strong></em>
            </div>
          </h2>
        </div>
        <div class="ui divider"></div>
        <small><em>Preghiamo di verificare attraverso l'apposito bottone se il ristorante offre il servizio di asporto nell'orario inserito.</em></small>
        <div class="content" style="margin-top: 15px">
          <div class="two fields">
            <div class="required field" style="width: 60%">
              <label>Orario di consegna</label>
              <div class="ui corner labeled input">
                <input id="orario-consegna" data-name="{{"now"|date("d/m/Y")}}" name="orario-consegna" type="time" placeholder="Orario"/>
                <div class="ui corner label">
                  <i class="clock icon"></i>
                </div>
              </div>
            </div>
            <div class="field" style="padding-top: 1.2%">
              <label></label>
              <div id="check-disponibilita" data-id="{{ristorante.id}}" class="ui right blue labeled icon button">
                <i class="right checkmark icon"></i>
                Verifica disponibilità per l'orario inserito
              </div>
            </div>
          </div>
          <div class="three fields">
            <div class="required field">
              <label>CAP di consegna</label>
              <select class="ui dropdown cap-selection" name="cap">
                <option value="">CAP</option>
                {% for tariffa in ristorante.tariffari %}
                  <option value="{{tariffa.cap}}">{{tariffa.cap}} - Supplemento: € {{tariffa.prezzo}}</option>
                {% endfor %}
              </select>
            </div>
            <div class="required field">
              <label>Indirizzo</label>
              <div class="ui corner labeled input">
                <input type="text" placeholder="Indirizzo" name="indirizzo"/>
                <div class="ui corner label">
                  <i class="marker icon"></i>
                </div>
              </div>
            </div>
            <div class="required field">
              <label>Città</label>
              <div class="ui corner labeled input">
                <input type="text" placeholder="Indirizzo" name="citta"/>
                <div class="ui corner label">
                  <i class="map icon"></i>
                </div>
              </div>
            </div>
          </div>
          <div class="ui divider"></div>
          <table class="ui collapsing table" style="width: 100%">
            <thead>
              <tr>
                <th>Nome</th>
                <th>Quantità</th>
                <th>Prezzo</th>
              </tr>
            </thead>
            <tbody id="checkout-cart">

            </tbody>
            <tfoot>
              <tr>
                <th colspan="3">
                  <input id="checkout-input-totale" type="hidden" name="totale"/>
                  <div id="checkout-totale" class="ui yellow right ribbon label">

                  </div>
                </th>
              </tr>
            </tfoot>
          </table>
        </div>
        <div class="ui divider"></div>
        <span style="color: #DB2828; margin-right: 5px">*</span>Campo obbligatorio
        <button id="checkout-submit-button" data-name="unchecked" style="margin: 0; display: inline; float:right" type="submit" class="ui right labeled icon primary button">
          <i class="shopping cart icon"></i> Completa l'ordine!
        </button>
        <div style="margin-bottom: 10px; display: inline; float:right" class="actions">
          <div class="ui cancel button">
              Annulla
          </div>
        </div>
      </form>
    </div>

  {% endif %}

  {% block javascripts %}
  {% endblock %}

{% endblock %}
